
Redmine - Feature #29919

darcs support

2018-11-07 09:06 - Axel Hellinger

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: SCM Estimated time: 0.00 hour

Target version:    

Resolution: Wont fix   

Description

Hi,

I am asking if you could add darcs support again. Maybe as a plugin.

I understand, that darcs is not intensive used as git, but some projects (including mine) need this patch feature over the git branches.

Unfortunately I can't code and commit this by myself.

But if it helps I would be happy to make a donation...

#13472 #26391

Related issues:

Related to Redmine - Patch #26391: Drop Darcs SCM support Closed

History

#1 - 2018-11-07 09:10 - Go MAEDA

- Related to Patch #26391: Drop Darcs SCM support added

#2 - 2018-11-07 09:12 - Go MAEDA

- Category changed from SCM extra to SCM

#3 - 2018-11-08 01:56 - Go MAEDA

Axel Hellinger wrote:

But if it helps I would be happy to make a donation...

 Redmine can support Darcs again if someone fixes broken code for Darcs that has been removed in #26391. Maybe a donation did not help to push

the things forward.

#4 - 2018-11-08 08:30 - Axel Hellinger

Dear MAEDA,

thanks for your fast reply.

Maybe a donation did not help to push the things forward.

 As I can't program, I though at least it would be a motivation for someone and shows appreciation. But what do you recommend?

Redmine can support Darcs again if someone fixes broken code for Darcs that has been removed in #26391.

 As I find out, darcs has changed the command line interface. I don't know how much this influence the redmine code. darcs annotate no longer has

an '--xml-output option' and instead has '--machine-readable' which is a custom format designed for machine parsing but isn't XML.

I could maybe find out more, if someone could give me a hint, what redmine need. The darcs community (or at least one of the mailing list) would like

tohappy to help with understanding how to make darcs do something, if this would be a barrier for fixing the darcs support for redmine.

#5 - 2018-11-08 09:24 - Marius BĂLTEANU
Go MAEDA wrote:

Axel Hellinger wrote:

But if it helps I would be happy to make a donation...

 Redmine can support Darcs again if someone fixes broken code for Darcs that has been removed in #26391. Maybe a donation did not help to

push the things forward.

 In my opinion, the best for Redmine is to add support back for Darcs through a plugin and not in the core anymore. I think Redmine already supports

a high number of versioning systems and requests from the community for Darcs are only few (to be honest, this is the first ticket that I see in last 2

years).

#6 - 2024-01-21 13:11 - Go MAEDA

- Status changed from New to Closed

- Resolution set to Wont fix
